### Class

# Gio CharsetConverter

#### Description [src]

    final class Gio.CharsetConverter : GObject.Object
      implements Gio.Converter, Gio.Initable {
      /* No available fields */
    }

`GCharsetConverter` is an implementation of `GConverter` based on `GIConv`.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GConverter
- GInitable

#### Constructors

###### g_charset_converter_new

Creates a new `GCharsetConverter`.

since: 2.24

#### Instance methods

###### g_charset_converter_get_num_fallbacks

Gets the number of fallbacks that `converter` has applied so far.

since: 2.24

###### g_charset_converter_get_use_fallback

Gets the `GCharsetConverter:use-fallback` property.

since: 2.24

###### g_charset_converter_set_use_fallback

Sets the `GCharsetConverter:use-fallback` property.

since: 2.24

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GConverter (3)

###### g_converter_convert

This is the main operation used when converting data. It is to be called multiple times in a loop, and each time it will do some work, i.e. producing some output (in `outbuf`) or consuming some input (from `inbuf`) or both. If its not possible to do any work an error is returned.

since: 2.24

###### g_converter_convert_bytes

Applies `converter` to the data in `bytes`.

since: 2.82

###### g_converter_reset

Resets all internal state in the converter, making it behave as if it was just created. If the converter has any internal state that would produce output then that output is lost.

since: 2.24

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

since: 2.22

#### Properties

###### Gio.CharsetConverter:from-charset

The character encoding to convert from.

since: 2.24

###### Gio.CharsetConverter:to-charset

The character encoding to convert to.

since: 2.24

###### Gio.CharsetConverter:use-fallback

Use fallback (of form `\<hexval>`) for invalid bytes.

since: 2.24

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GioCharsetConverterClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.